Debian Bug report logs - #546834
debootstrap because of conflicting package and init.d script dependencies

version graph

Package: util-linux; Maintainer for util-linux is LaMont Jones <lamont@debian.org>; Source for util-linux is src:util-linux.

Reported by: Tak Auyeung <tauyeung@drtak.org>

Date: Wed, 16 Sep 2009 02:27:01 UTC

Severity: serious

Tags: d-i, patch

Found in version 2.16-3

Fixed in version util-linux/2.16.1-2

Done: LaMont Jones <lamont@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#546834; Package debootstrap. (Wed, 16 Sep 2009 02:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tak Auyeung <tauyeung@drtak.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 16 Sep 2009 02:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tak Auyeung <tauyeung@drtak.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debootstrap fails when invoked from lh_build
Date: Tue, 15 Sep 2009 19:16:17 -0700
[Message part 1 (text/plain, inline)]
Package: debootstrap
Version: 1.0.15
Severity: grave
Justification: renders package unusable

lh_build failed and stopped in debootstrap phase. lh_build is set up to use "sid" for both bootstrap and chroot. Attached please find a log of lh_build (build.log) and a log of debootstrap (debootstrap.log) when it was invoked from lh_build. Thanks!


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686-bigmem (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debootstrap depends on:
ii  binutils              2.19.91.20090910-1 The GNU assembler, linker and bina
ii  wget                  1.11.4-4           retrieves files from the web

Versions of packages debootstrap recommends:
ii  gnupg                         1.4.10-1   GNU privacy guard - a free PGP rep

debootstrap suggests no packages.

-- no debconf information
[build.log (text/plain, attachment)]
[debootstrap.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#546834; Package debootstrap. (Wed, 16 Sep 2009 07:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 546834@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 16 Sep 2009 07:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 546834@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 546834@bugs.debian.org
Cc: Tak Auyeung <tauyeung@drtak.org>, util-linux@packages.debian.org, insserv@packages.debian.org
Subject: Re: Bug#546834: debootstrap fails when invoked from lh_build
Date: Wed, 16 Sep 2009 09:19:25 +0200
reassign 546834 util-linux 2.16-3
severity 546834 serious
affects 546834 debootstrap
tags 546834 d-i
thanks

On Wednesday 16 September 2009, Tak Auyeung wrote:
> lh_build failed and stopped in debootstrap phase. lh_build is set up to
> use "sid" for both bootstrap and chroot. Attached please find a log of
> lh_build (build.log) and a log of debootstrap (debootstrap.log) when it
> was invoked from lh_build. Thanks!

Thanks for including the logs. As you can see in the debootstrap log, the
real problem is in either util-linux or insserv.

Setting up util-linux (2.16-3) ...
install-info: warning: maintainer scripts should not call install-info anymore,
install-info: warning: this is handled now by a dpkg trigger provided by the
install-info: warning: install-info package; package util-linux should be updated.
update-alternatives: using /bin/more to provide /usr/bin/pager (pager) in auto mode.
insserv: Service checkroot has to be enabled to start service hwclock
insserv: exiting now!
dpkg: error processing util-linux (--configure):
 subprocess installed post-installation script returned error exit status 1

The install-info message is just a warning. The real problem looks to be a boot
dependency error. Reassigning to util-linux.

Cheers,
FJP




Bug reassigned from package 'debootstrap' to 'util-linux'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions debootstrap/1.0.15. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.16-3. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:09 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'grave' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:10 GMT) Full text and rfc822 format available.

Added indication that 546834 affects debootstrap Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:11 GMT) Full text and rfc822 format available.

Added tag(s) d-i. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 16 Sep 2009 07:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#546834; Package util-linux. (Wed, 16 Sep 2009 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 16 Sep 2009 08:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 546834@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 546834@bugs.debian.org
Cc: Tak Auyeung <tauyeung@drtak.org>, util-linux@packages.debian.org, insserv@packages.debian.org
Subject: Re: Bug#546834: debootstrap fails when invoked from lh_build
Date: Wed, 16 Sep 2009 10:04:31 +0200
On 2009-09-16 09:19 +0200, Frans Pop wrote:

> On Wednesday 16 September 2009, Tak Auyeung wrote:
>> lh_build failed and stopped in debootstrap phase. lh_build is set up to
>> use "sid" for both bootstrap and chroot. Attached please find a log of
>> lh_build (build.log) and a log of debootstrap (debootstrap.log) when it
>> was invoked from lh_build. Thanks!
>
> Thanks for including the logs. As you can see in the debootstrap log, the
> real problem is in either util-linux or insserv.
>
> Setting up util-linux (2.16-3) ...
> install-info: warning: maintainer scripts should not call install-info anymore,
> install-info: warning: this is handled now by a dpkg trigger provided by the
> install-info: warning: install-info package; package util-linux should be updated.
> update-alternatives: using /bin/more to provide /usr/bin/pager (pager) in auto mode.
> insserv: Service checkroot has to be enabled to start service hwclock
> insserv: exiting now!
> dpkg: error processing util-linux (--configure):
>  subprocess installed post-installation script returned error exit status 1
>
> The install-info message is just a warning. The real problem looks to be a boot
> dependency error. Reassigning to util-linux.

It seems that util-linux is missing a dependency on initscripts for the
checkroot service.  Similar for procps and the mountkernfs service.

However, by that logic any package providing an initscript would need to
depend on initscripts; is that really desirable?

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#546834; Package util-linux. (Wed, 16 Sep 2009 08:30:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 16 Sep 2009 08:30:15 GMT) Full text and rfc822 format available.

Message #32 received at 546834@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 546834@bugs.debian.org
Cc: Tak Auyeung <tauyeung@drtak.org>, util-linux@packages.debian.org, insserv@packages.debian.org
Subject: Re: Bug#546834: debootstrap fails when invoked from lh_build
Date: Wed, 16 Sep 2009 10:19:53 +0200
[Frans Pop]
> insserv: Service checkroot has to be enabled to start service hwclock
> insserv: exiting now!

The checkroot script is part of the initscripts package.  Is it
installed?  It is essential, so I expect so, and thus fail to
understand how it could be missing when util-linux try to register its
init.d script in the postinst script.

> The real problem looks to be a boot dependency error.

Yes.  The message from insserv is the error terminating the postinst.
The message is correct if the initscripts postinst script have not
executed to register the checkroot init.d script.

What is lh_build?  How do one reproduce the problem?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#546834; Package util-linux. (Wed, 16 Sep 2009 08:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 16 Sep 2009 08:39:06 GMT) Full text and rfc822 format available.

Message #37 received at 546834@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 546834@bugs.debian.org, Tak Auyeung <tauyeung@drtak.org>, util-linux@packages.debian.org, insserv@packages.debian.org
Subject: Re: Bug#546834: debootstrap fails when invoked from lh_build
Date: Wed, 16 Sep 2009 10:36:20 +0200
retitle 546834 debootstrap because of conflicting package and init.d script dependencies
close 546834 -1
reassign -1 procps
thanks

I am able to reproduce it using

  debootstrap sid chroot-sid

so this problem is not related to lh_build and my question about that
can be ignored.

There are two problems blocking debootstrap from working:

  Setting up procps (1:3.2.8-1) ...
  update-alternatives: using /usr/bin/w.procps to provide /usr/bin/w (w) in auto mode.
  insserv: Service mountkernfs has to be enabled to start service procps
  insserv: exiting now!
  dpkg: error processing procps (--configure):
   subprocess installed post-installation script returned error exit status 1

and

  Setting up util-linux (2.16-3) ...
  install-info: warning: maintainer scripts should not call install-info anymore,
  install-info: warning: this is handled now by a dpkg trigger provided by the
  install-info: warning: install-info package; package util-linux should be updated.
  update-alternatives: using /bin/more to provide /usr/bin/pager (pager) in auto mode.
  insserv: Service checkroot has to be enabled to start service hwclock
  insserv: exiting now!
  dpkg: error processing util-linux (--configure):
   subprocess installed post-installation script returned error exit status 1

Both are due to the init.d scripts in the packages have hard
dependencies on scripts in the initscripts package, while the package
themselves do not depend on initscripts.

There are two solutions to this, either the hard init.d script
dependency can be made soft (ie move the dependency from
required-start to should-start), or add initscripts as a dependency
for procps and util-linux.

I'm not sure which solution make most sense, but suspect the latter is
the proper solution if the scripts really need each other.  Adding
initscripts as a package dependency will change the order packages are
installed by debootstrap and perhaps expose other bugs in package
dependencies, though.

Happy hacking,
-- 
Petter Reinholdtsen




Changed Bug title to 'debootstrap because of conflicting package and init.d script dependencies' from 'debootstrap fails when invoked from lh_build' Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 16 Sep 2009 08:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#546834; Package util-linux. (Wed, 16 Sep 2009 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 16 Sep 2009 08:42:03 GMT) Full text and rfc822 format available.

Message #44 received at 546834@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 546834@bugs.debian.org, Tak Auyeung <tauyeung@drtak.org>, util-linux@packages.debian.org, insserv@packages.debian.org
Subject: Re: Bug#546834: debootstrap fails when invoked from lh_build
Date: Wed, 16 Sep 2009 10:40:27 +0200
[Sven Joachim]
> It seems that util-linux is missing a dependency on initscripts for
> the checkroot service.  Similar for procps and the mountkernfs
> service.

Yes, I believe this is correct, and have split this bug in two and
assigned one to procps.

> However, by that logic any package providing an initscript would need to
> depend on initscripts; is that really desirable?

It does not follow from that logic.  Most scripts do not have direct
and hard dependencies on scripts in initscripts.  Most scripts depend
on the virtual facilities like $remote_fs, and would not have this
problem.  Also, this would only affect scripts installed by
debootstrap before initscripts is installed.

Happy hacking,
-- 
Petter Reinholdtsen




Bug 546834 cloned as bug 546888. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 16 Sep 2009 09:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#546834; Package util-linux. (Wed, 16 Sep 2009 10:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 16 Sep 2009 10:18:11 GMT) Full text and rfc822 format available.

Message #51 received at 546834@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 546834@bugs.debian.org
Subject: Re: Bug#546834: debootstrap fails when invoked from lh_build
Date: Wed, 16 Sep 2009 11:56:26 +0200
tags 546834 + patch
thanks

Here is a patch to fix util-linux (just to be able to tag it
'patch'. :)

diff -ur util-linux-2.16/debian/control util-linux-2.16-pere/debian/control
--- util-linux-2.16/debian/control      2009-09-16 11:38:33.000000000 +0200
+++ util-linux-2.16-pere/debian/control 2009-09-16 11:38:25.000000000 +0200
@@ -13,7 +13,7 @@
 Section: utils
 Priority: required
 Essential: yes
-Depends: lsb-base (>= 3.0-6), tzdata (>=2006c-2)
+Depends: lsb-base (>= 3.0-6), tzdata (>=2006c-2), initscripts
 Pre-Depends: ${shlibs:Depends}
 Suggests: util-linux-locales, kbd | console-tools, dosfstools
 Replaces: schedutils, miscutils, setterm, fdisk, linux32, sparc-utils, e2fsprogs, ${util-linux:Conflicts}

I am not sure if pre-depends or depends is needed, but given that it
is enough for the initscripts package to be configured before
util-linux, I believe depends would be enough.

Happy hacking,
-- 
Petter Reinholdtsen




Added tag(s) patch. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 16 Sep 2009 10:18:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. (Wed, 16 Sep 2009 12:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#546834; Package util-linux. (Fri, 18 Sep 2009 09:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <christoph.anton.mitterer@physik.uni-muenchen.de>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Fri, 18 Sep 2009 09:03:05 GMT) Full text and rfc822 format available.

Message #60 received at 546834@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <christoph.anton.mitterer@physik.uni-muenchen.de>
To: 546834@bugs.debian.org
Subject: Re: debootstrap because of conflicting package and init.d script dependencies
Date: Fri, 18 Sep 2009 10:57:45 +0200
[Message part 1 (text/plain, inline)]
Hi.


Anything that prevents this from being uploaded? This breaks so many
things...


Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Reply sent to LaMont Jones <lamont@debian.org>:
You have taken responsibility. (Fri, 18 Sep 2009 11:42:15 GMT) Full text and rfc822 format available.

Notification sent to Tak Auyeung <tauyeung@drtak.org>:
Bug acknowledged by developer. (Fri, 18 Sep 2009 11:42:15 GMT) Full text and rfc822 format available.

Message #65 received at 546834-close@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: 546834-close@bugs.debian.org
Subject: Bug#546834: fixed in util-linux 2.16.1-2
Date: Fri, 18 Sep 2009 11:17:46 +0000
Source: util-linux
Source-Version: 2.16.1-2

We believe that the bug you reported is fixed in the latest version of
util-linux, which is due to be installed in the Debian FTP archive:

bsdutils_2.16.1-2_amd64.deb
  to pool/main/u/util-linux/bsdutils_2.16.1-2_amd64.deb
cfdisk-udeb_2.16.1-2_amd64.udeb
  to pool/main/u/util-linux/cfdisk-udeb_2.16.1-2_amd64.udeb
fdisk-udeb_2.16.1-2_amd64.udeb
  to pool/main/u/util-linux/fdisk-udeb_2.16.1-2_amd64.udeb
libblkid-dev_2.16.1-2_amd64.deb
  to pool/main/u/util-linux/libblkid-dev_2.16.1-2_amd64.deb
libblkid1-udeb_2.16.1-2_amd64.udeb
  to pool/main/u/util-linux/libblkid1-udeb_2.16.1-2_amd64.udeb
libblkid1_2.16.1-2_amd64.deb
  to pool/main/u/util-linux/libblkid1_2.16.1-2_amd64.deb
libuuid1-udeb_2.16.1-2_amd64.udeb
  to pool/main/u/util-linux/libuuid1-udeb_2.16.1-2_amd64.udeb
libuuid1_2.16.1-2_amd64.deb
  to pool/main/u/util-linux/libuuid1_2.16.1-2_amd64.deb
mount_2.16.1-2_amd64.deb
  to pool/main/u/util-linux/mount_2.16.1-2_amd64.deb
util-linux-locales_2.16.1-2_all.deb
  to pool/main/u/util-linux/util-linux-locales_2.16.1-2_all.deb
util-linux-udeb_2.16.1-2_amd64.udeb
  to pool/main/u/util-linux/util-linux-udeb_2.16.1-2_amd64.udeb
util-linux_2.16.1-2.diff.gz
  to pool/main/u/util-linux/util-linux_2.16.1-2.diff.gz
util-linux_2.16.1-2.dsc
  to pool/main/u/util-linux/util-linux_2.16.1-2.dsc
util-linux_2.16.1-2_amd64.deb
  to pool/main/u/util-linux/util-linux_2.16.1-2_amd64.deb
util-linux_2.16.1.orig.tar.gz
  to pool/main/u/util-linux/util-linux_2.16.1.orig.tar.gz
uuid-dev_2.16.1-2_amd64.deb
  to pool/main/u/util-linux/uuid-dev_2.16.1-2_amd64.deb
uuid-runtime_2.16.1-2_amd64.deb
  to pool/main/u/util-linux/uuid-runtime_2.16.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 546834@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
LaMont Jones <lamont@debian.org> (supplier of updated util-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 17 Sep 2009 05:16:55 -0600
Source: util-linux
Binary: util-linux util-linux-locales mount bsdutils fdisk-udeb cfdisk-udeb libblkid1 libblkid1-udeb libblkid-dev libuuid1 uuid-runtime libuuid1-udeb uuid-dev util-linux-udeb
Architecture: all amd64 source 
Version: 2.16.1-2
Distribution: unstable
Urgency: low
Maintainer: LaMont Jones <lamont@debian.org>
Changed-By: LaMont Jones <lamont@debian.org>
Closes: 546834
Description:
 bsdutils   - Basic utilities from 4.4BSD-Lite
 cfdisk-udeb - Manually partition a hard drive (cfdisk) (udeb)
 fdisk-udeb - Manually partition a hard drive (fdisk) (udeb)
 libblkid1  - block device id library
 libblkid1-udeb - block device id library (udeb)
 libblkid-dev - block device id library - headers and static libraries
 libuuid1-udeb - stripped down universally unique id library, for debian-installer (udeb)
 libuuid1   - Universally Unique ID library
 mount      - Tools for mounting and manipulating filesystems
 util-linux-locales - Locales files for util-linux
 util-linux - Miscellaneous system utilities
 util-linux-udeb - Miscellaneous system utilities (udeb)
 uuid-dev   - universally unique id library - headers and static libraries
 uuid-runtime - runtime components for the Universally Unique ID library
Changes:
 util-linux (2.16.1-2) unstable; urgency=low
 .
   [Zdenek Behan]
 .
   * tests: fdisk doslabel test also checks changing partition type
   * tests: fdisk doslabel test also checks setting partition active
   * tests: test for basic functionality of sun labels
 .
   [Peter De Wachter]
 .
   * mkswap: unbreak -c ("check") option.
 .
   [Florian Zumbiehl]
 .
   * libblkid: fix buffer overflow in blkid_encode_string()
 .
   [Peter Volkov]
 .
   * mount: mention mtab for single mount point mount in mount.8
 .
   [Petter Reinholdtsen]
 .
   * meta: util-linux Depends: initscripts.  Closes: #546834
 .
   [Scott James Remnant]
 .
   * versionsort() prototype changed
 .
   [Peter Breitenlohner]
 .
   * mkfs.8: incomplete sentence and formatting
   * vipw.8: remove erroneous empty line, formatting
   * umount.8: command line for umount helpers, formatting
   * cytune.8: missing description of `-S', formatting
   * hexdump.1: erroneous .Nm ""
   * ul.1: erroneous .SH instead of .Sh
   * ctrlaltdel.8: formatting
   * various other manpage formatting
 .
   [Daniel Mierswa]
 .
   * replace bcopy,bzero,index and rindex
   * libblkid: allow linking with uClibc
   * replace usleep() for systems that don't have them
 .
   [Karel Zak]
 .
   * libblkid: fix FALSE definition
   * tailf: report inotify_add_watch() problems
   * libblkid: fix ext2 detection on systems with ext4 only
   * libblkid: fix cache->probe memory leak
   * dmesg: add -r to help output
   * mount: add info about ext{3,4} barriers to mount.8
   * mount: clean up mount.8
   * Revert "mount: clean up mount.8"
   * mount: clean up mount.8
   * hwclocks: use time limit for KDGHWCLK busy wait
   * mount: add info about ext{3,4} barriers to mount.8
   * mount: clean up mount.8
   * Revert "mount: clean up mount.8"
   * mount: clean up mount.8
   * libblkid: add *.ko.gz support to modules.dep parser
   * mkswap: fix memory leaks, cleanup check_blocks()
   * docs: update AUTHORS file
   * docs: add v2.16.1 ReleaseNotes
   * build-sys: release++ (v2.16.1)
   * po: merge changes
 .
   [LaMont Jones]
   * meta: fix misc:Depends
   * Depends: install-info, set -e in postrm
 .
   [localization folks]
 .
   * po: fix grammar glitch in german translation (Hendrik Lönngren)
   * po: update ja.po (from translationproject.org) (Makoto Kato)
Checksums-Sha1: 
 042cc9f6d215fb074d9ab876e96521e6cc85eeee 7518 util-linux-udeb_2.16.1-2_amd64.udeb
 0bf9a4265fadde6a081a45cd49fae64b3d64ee07 4833715 util-linux_2.16.1.orig.tar.gz
 1b771f5e22866967470ec499e2be58cc1ab51991 71626 uuid-dev_2.16.1-2_amd64.deb
 31461d1c5f0188a562efa7cfe092e2095374f4b1 59106 uuid-runtime_2.16.1-2_amd64.deb
 32af0aa9d019af1bd4adef3681dfa12e5a7bd28c 1386096 util-linux-locales_2.16.1-2_all.deb
 373721076c845068b6713157c62530188cf75f96 623072 util-linux_2.16.1-2_amd64.deb
 3aad942c8d555a08c584bad8844d87279b32c682 169412 mount_2.16.1-2_amd64.deb
 5359105ad13f87dfa9ac9f926336fb2db3cfb9f3 38052 libblkid1-udeb_2.16.1-2_amd64.udeb
 57bced8831f5e5e3961021b283b0f89561ca3526 101520 libblkid-dev_2.16.1-2_amd64.deb
 650ae0f2bff54404202ae11448262859e74e1e12 85726 libblkid1_2.16.1-2_amd64.deb
 6bfc4de88e196ac0091741d61a6d86c5201dfe94 77554 bsdutils_2.16.1-2_amd64.deb
 880eb6afc8b98903b79bea35cdc19d335b76c539 72896 fdisk-udeb_2.16.1-2_amd64.udeb
 8f197819f0a2310e0e8b3b036fde6f4a8f1edccc 311061 util-linux_2.16.1-2.diff.gz
 c9522e901f49da3df497d75e7d134a39cc288836 1364176 cfdisk-udeb_2.16.1-2_amd64.udeb
 27ad5c1a01e950bb4cae6120b8fdd30154487f6f 1485 util-linux_2.16.1-2.dsc
 de244c28fcb85b960b191c64e75613d8048df51a 7760 libuuid1-udeb_2.16.1-2_amd64.udeb
 de79f9666732d2ad1f7e1171f53888b387c9fcba 56346 libuuid1_2.16.1-2_amd64.deb
Checksums-Sha256: 
 010b5c5f505da6f17a3b6fabf2962a94072395e0b6a2f9a61357e52e519ce79e 169412 mount_2.16.1-2_amd64.deb
 1dd738a588b66e2d78385d32b76608806bfe6ba19c00e5da35a7457ccc218c18 71626 uuid-dev_2.16.1-2_amd64.deb
 40de1ef929defc6c93209fae9721cb198c9155280e2a24fa08fc6a770d15c78a 4833715 util-linux_2.16.1.orig.tar.gz
 6827439504902eca466373c4e6e621904a630d49f494636300f13c0e792f32ba 101520 libblkid-dev_2.16.1-2_amd64.deb
 69555e668fcd6f3928ce1194c3afa443b0eef1e5d9996b50f64b07beac263344 623072 util-linux_2.16.1-2_amd64.deb
 84d8d93fd9451f66a33fab7a3084d35cec158aa22e852ef23f9ab0e303749670 7760 libuuid1-udeb_2.16.1-2_amd64.udeb
 8f65c9857a14c149bde750bdf09798d276b3aaa1a074a06f7a905f4a459a53ce 85726 libblkid1_2.16.1-2_amd64.deb
 9055a2b3d4def5444162f5e773af54acef74671eada69c6a5a06c3472e714714 77554 bsdutils_2.16.1-2_amd64.deb
 aaecac3113efd3d4c8bfcca79329b4471e5b4d2a57db125631c9704ec368eb67 311061 util-linux_2.16.1-2.diff.gz
 2d2cf86aa65dd94ff0899e50baad536859c16883b75864656125bf4637085f07 1485 util-linux_2.16.1-2.dsc
 c10e9bb2b292f7585a452deac2a00d5ebae4ddf49703eba7d1ca618f1fdeaa0a 38052 libblkid1-udeb_2.16.1-2_amd64.udeb
 cf727995dc6235219c7e8ed158ae5d6a9659884fc766412c884d254192001afa 7518 util-linux-udeb_2.16.1-2_amd64.udeb
 dda955038ce157bb774204edd813d2c534f1d154b2ff06792d568789bc6f877b 56346 libuuid1_2.16.1-2_amd64.deb
 e0948b5e62cbf4d86a03e5af1a40e206a7e28baafa7c933060eb9bd4614d4918 1364176 cfdisk-udeb_2.16.1-2_amd64.udeb
 e4d4c1602bae207af25b2ffed3bfc3c870e6dd4017ff8169348f421d4250fff2 1386096 util-linux-locales_2.16.1-2_all.deb
 f35e332e6b4e20aa506eb5eb089e9e02212528008c1f47026f86b189449a198a 59106 uuid-runtime_2.16.1-2_amd64.deb
 f51fd62f2a79b130f4b72f661be26ceaf6b6e5d2bef1339bb309c3a7d0040070 72896 fdisk-udeb_2.16.1-2_amd64.udeb
Files: 
 08ca97e72f7fb3f9d3ad3db48ddda77d 56346 libs required libuuid1_2.16.1-2_amd64.deb
 0ad76d4f8eb5e73c4ca29a958079f320 7518 debian-installer optional util-linux-udeb_2.16.1-2_amd64.udeb
 0d58ebd261de89278f303dfc0c788e57 72896 debian-installer extra fdisk-udeb_2.16.1-2_amd64.udeb
 24b60b6f20b3b9bbc6a7f16b205af650 77554 utils required bsdutils_2.16.1-2_amd64.deb
 2a73882e098d60924a4ad9fd7167b35a 38052 debian-installer optional libblkid1-udeb_2.16.1-2_amd64.udeb
 2bb31378fa26c00b2a9cc0826ad5b045 623072 utils required util-linux_2.16.1-2_amd64.deb
 38134c557419da2fc406e3bc41bc54d3 169412 admin required mount_2.16.1-2_amd64.deb
 3d8b1bd68263c767812bc7fcbc64d85a 7760 debian-installer optional libuuid1-udeb_2.16.1-2_amd64.udeb
 3e0810e70afede13a903299ddd39ff55 1364176 debian-installer extra cfdisk-udeb_2.16.1-2_amd64.udeb
 1c2c4892ce021e82d3a61935a09cce9b 1485 base required util-linux_2.16.1-2.dsc
 67ad99904e1146f1678ee54aa43daff9 71626 libdevel extra uuid-dev_2.16.1-2_amd64.deb
 7dac12ac333a6733de1d4176eb74301b 311061 base required util-linux_2.16.1-2.diff.gz
 a0c25934a467f1c2cbd2e975f8f87a72 1386096 utils optional util-linux-locales_2.16.1-2_all.deb
 ab0db5a0b49011cf5502ab35531c16de 101520 libdevel extra libblkid-dev_2.16.1-2_amd64.deb
 d94e1257391fbb2116d9d66b9126b231 85726 libs required libblkid1_2.16.1-2_amd64.deb
 e5ca1dd3721c83315161b56e52941f26 59106 libs optional uuid-runtime_2.16.1-2_amd64.deb
 fc57e5fd5be9e569b026b5077fafe84f 4833715 base required util-linux_2.16.1.orig.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFKs2iFzN/kmwoKyScRAkHuAJ0W35J934kBmWvSrlvJwrTtyf2WyQCfYGDj
niS5EPgtGI8/2Y5O3V7S/eM=
=N5vh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Oct 2009 07:33:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 19:56:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.